Class UmlBaseSendObjectAction

Declaration :

- C++ : class UmlBaseSendObjectAction : public UmlActivityAction
- Java : abstract class UmlBaseSendObjectAction extends UmlActivityAction

Directly inherited by : UmlSendObjectAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new send object action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlSendObjectAction, exceptions : RuntimeException
- C++ : public: static UmlSendObjectAction * create(UmlItem * parent, const char * s)
- Java : public static UmlSendObjectAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseSendObjectAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseSendObjectAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseSendObjectAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseSendObjectAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload